Pulp - Story #5444

[Epic] Consolidate ProgressReporting into a single model so it's simpler for plugin writers

09/12/2019 10:27 PM - bmbouter

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Normal Due date:

Assignee: fao89 % Done: 100%
Category: Estimated time: 0:00 hour
Sprint/Milestone: 3.0.0

Platform Release: Tags:

Groomed: No Sprint: Sprint 59
Sprint Candidate: No Quarter:

Description

Problem

Currently the pulpcore.app.models.progress module provides three objects:

ProgressReport
ProgressBar
ProgressSpinner

These are confusing for plugin users and should be combined.

Solution

Delete ProgressBar and ProgressSpinner, and consolidate them into a single model. In the database they are already a single model
since ProgressBar and ProgressSpinner are proxy models for ProgressReport.

This will be a plugin API breaking change and needs to be advertised to pulp-dev and also come with a fix for pulp_file.

Subtasks:

Task # 5468: Replace ProgressBar with ProgressReport
Task # 5469: Replace ProgressBar with ProgressReport
Task # 5470: Replace ProgressBar with ProgressReport
Task # 5471: Replace ProgressBar with ProgressReport
Task # 5477: Replace ProgressBar with ProgressReport

CLOSED -CU
CLOSED -CU
CLOSED -CU
MODIFIED

CLOSED -CU

RRENTF
RRENTF
RRENTF

RRENTF

Related issues:

Related to Pulp - Issue #5164: Progress Reports incorrectly update counts in ...

CLOSED - NOTABUG

Associated revisions

Revision 5f074af7 - 09/17/2019 07:34 PM - Fabricio Aguiar

Replace ProgressBar with ProgressReport

ref #5444 Required PR: https://github.com/pulp/pulpcore/pull/293 Required PR: https://github.com/pulp/pulpcore-plugin/pull/127

Revision 52c1eae3 - 09/17/2019 08:49 PM - Fabricio Aguiar

replace ProgressBar with ProgressReport

ref #5444 https://pulp.plan.io/issues/5444

Revision 130fb201 - 09/19/2019 03:09 PM - Fabricio Aguiar

Replace ProgressBar with ProgressReport

ref #5444 https://pulp.plan.io/issues/5444 Required PR: https://github.com/pulp/pulpcore/pull/293 Required PR:

https://github.com/pulp/pulpcore-plugin/pull/127 Required PR: https://github.com/pulp/pulp_file/pull/277

Revision 130fb201 - 09/19/2019 03:09 PM - Fabricio Aguiar
https://github.com/pulp/pulpcore-plugin/pull/127
https://github.com/pulp/pulp_file/pull/277

Replace ProgressBar with ProgressReport

ref #5444 https://pulp.plan.io/issues/5444 Required PR: https://github.com/pulp/pulpcore/pull/293 Required PR:
https://github.com/pulp/pulpcore-plugin/pull/127 Required PR: https://github.com/pulp/pulp_file/pull/277

Revision 130fb201 - 09/19/2019 03:09 PM - Fabricio Aguiar

Replace ProgressBar with ProgressReport

ref #5444 https://pulp.plan.io/issues/5444 Required PR: https://github.com/pulp/pulpcore/pull/293 Required PR:
https://github.com/pulp/pulpcore-plugin/pull/127 Required PR: https://github.com/pulp/pulp_file/pull/277

Revision e7dfa2c5 - 09/19/2019 07:04 PM - Fabricio Aguiar

ProgressReport for known and unknown items count

closes #5444 https://pulp.plan.io/issues/5444 Required PR: https://github.com/pulp/pulpcore-plugin/pull/127 Required PR:
https://github.com/pulp/pulp_file/pull/277

History

#1 - 09/13/2019 04:40 PM - fao89
- Tracker changed from Issue to Task

- % Done setto 0

#2 - 09/13/2019 05:43 PM - bmbouter
- Sprint/Milestone changed from 71 to 3.0.0

#3 - 09/17/2019 04:32 PM - bmbouter

- Description updated

#4 - 09/17/2019 04:40 PM - fao89
- Sprint set to Sprint 59

#5 - 09/17/2019 07:39 PM - fao89
- Status changed from NEW to POST

- Assignee set to fao89

- pulpcore - https://github.com/pulp/pulpcore/pull/293

- pulpcore-plugin - https://github.com/pulp/pulpcore-plugin/pull/127

- pulp_file - https://github.com/pulp/pulp_file/pull/277

- plugin_template - https://github.com/pulp/plugin_template/pull/105

- pulp-2to3-migrate - https://github.com/pulp/pulp-2to3-migrate/pull/13
- pulp_ansible - #5468 - https://github.com/pulp/pulp_ansible/pull/210
- pulp_deb - #5477 - https://github.com/pulp/pulp_deb/pull/117

- pulp_rpm - #5469 - https://github.com/pulp/pulp_rpm/pull/1447

- pulp_python - #5471 - https://github.com/pulp/pulp_python/pull/255
- pulp_docker - #5470 - https://github.com/pulp/pulp_docker/pull/414

#6 - 09/17/2019 11:05 PM - fao89
- Tracker changed from Task to Story

- Subject changed from Consolidate ProgressReporting into a single model so it's simpler for plugin writers to [Epic] Consolidate ProgressReporting
into a single model so it's simpler for plugin writers

#7 - 09/17/2019 11:22 PM - fao89

- Related to Issue #5164: Progress Reports incorrectly update counts in error or canceled situations added

#8 - 09/20/2019 04:22 PM - Anonymous
- Status changed from POST to MODIFIED
- % Done changed from 20 to 100

Applied in changeset pulpcore|e7dfa2c5e9739df1fc51b8f4ae2f6859a02e34ab.

#9 - 12/13/2019 06:26 PM - bmbouter
- Status changed from MODIFIED to CLOSED - CURRENTRELEASE
